# Uses of Enum Class
org.eclipse.emf.cdo.net4j.CDOSessionRecoveryEvent.Type

Packages that use CDOSessionRecoveryEvent.Type
Package
Description
org.eclipse.emf.cdo.net4j
Client concepts for dealing with Net4j-based sessions to remote repositories.

## Uses of CDOSessionRecoveryEvent.Type in org.eclipse.emf.cdo.net4j

Methods in org.eclipse.emf.cdo.net4j that return CDOSessionRecoveryEvent.Type
Modifier and Type
Method
Description
`CDOSessionRecoveryEvent.Type`
CDOSessionRecoveryEvent.`getType()`
`static CDOSessionRecoveryEvent.Type`
CDOSessionRecoveryEvent.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOSessionRecoveryEvent.Type[]`
CDOSessionRecoveryEvent.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.